Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class AbstractMenuRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.html.AbstractMenuRenderer

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  ContextMenuRendererDelegate, DropDownMenuRendererBase

    public abstract class AbstractMenuRenderer

extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

Author:
  Maksim Kaszynski

Field Summary

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`AbstractMenuRenderer()`

Method Summary
`void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeItems(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeScript(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.lang.Object` | `getItemScriptObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent kid)`
`protected java.lang.String` | `getLayerScript(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.util.Map<java.lang.String,java.lang.Object>` | `getMenuOptions(javax.faces.component.UIComponent component)`
`protected abstract org.ajax4jsf.javascript.JSFunction` | `getMenuScriptFunction(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`boolean` | `getRendersChildren()`
`protected org.ajax4jsf.resource.InternetResource[]` | `getScripts()`
`protected org.ajax4jsf.resource.InternetResource[]` | `getStyles()`
`void` | `processLayer(javax.faces.context.FacesContext context, javax.faces.component.UIComponent layer, java.lang.String width)`
`protected abstract void` | `processLayerStyles(javax.faces.context.FacesContext context, javax.faces.component.UIComponent layer, javax.faces.context.ResponseWriter writer)`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeEnd, getComponentClass, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractMenuRenderer

    public AbstractMenuRenderer()

Method Detail

### getScripts

    protected org.ajax4jsf.resource.InternetResource[] getScripts()

  Overrides:
    `getScripts` in class `org.ajax4jsf.renderkit.HeaderResourcesRendererBase`

### getStyles

    protected org.ajax4jsf.resource.InternetResource[] getStyles()

  Overrides:
    `getStyles` in class `org.ajax4jsf.renderkit.HeaderResourcesRendererBase`

### encodeScript

    public void encodeScript(javax.faces.context.FacesContext context,
                             javax.faces.component.UIComponent component)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### getMenuScriptFunction

    protected abstract org.ajax4jsf.javascript.JSFunction getMenuScriptFunction(javax.faces.context.FacesContext context,
                                                                                javax.faces.component.UIComponent component)

### getLayerScript

    protected java.lang.String getLayerScript(javax.faces.context.FacesContext context,
                                              javax.faces.component.UIComponent component)

### getMenuOptions

    protected java.util.Map<java.lang.String,java.lang.Object> getMenuOptions(javax.faces.component.UIComponent component)

### getItemScriptObject

    protected java.lang.Object getItemScriptObject(javax.faces.context.FacesContext context,
                                                   javax.faces.component.UIComponent kid)

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.render.Renderer`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

### processLayer

    public void processLayer(javax.faces.context.FacesContext context,
                             javax.faces.component.UIComponent layer,
                             java.lang.String width)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeItems

    public void encodeItems(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### processLayerStyles

    protected abstract void processLayerStyles(javax.faces.context.FacesContext context,
                                               javax.faces.component.UIComponent layer,
                                               javax.faces.context.ResponseWriter writer)
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.